Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.action
Interface SoapUIActionGroup<T extends ModelItem>

All Known Implementing Classes:
  AbstractSoapUIActionGroup, DefaultSoapUIActionGroup, WsdlInterfaceSoapUIActionGroup, WsdlMessageAssertionSoapUIActionGroup, WsdlProjectSoapUIActionGroup, WsdlTestCaseAddStepSoapUIActionGroup, WsdlTestStepInsertStepSoapUIActionGroup, WsdlTestStepSoapUIActionGroup

    public interface SoapUIActionGroup<T extends ModelItem>

A group of actions for a ModelItem

Author:
  ole.matzura

Method Summary
`SoapUIActionMapping<? extends ModelItem>` | `addMapping(java.lang.String id, int index, SoapUIActionMapping<T> mapping)`
`SoapUIActionMapping<? extends ModelItem>` | `addMapping(java.lang.String id, SoapUIActionMapping<T> mapping)`
`java.util.List<SoapUIActionMapping<T>>` | `getActionMappings(T modelItem)`
`java.lang.String` | `getId()`
`int` | `getMappingIndex(java.lang.String positionRef)`
`java.lang.String` | `getName()`

Method Detail

### getId

    java.lang.String getId()

### getName

    java.lang.String getName()

### getActionMappings

    java.util.List<SoapUIActionMapping<T>> getActionMappings(T modelItem)

### addMapping

    SoapUIActionMapping<? extends ModelItem> addMapping(java.lang.String id,
                                                        SoapUIActionMapping<T> mapping)

### addMapping

    SoapUIActionMapping<? extends ModelItem> addMapping(java.lang.String id,
                                                        int index,
                                                        SoapUIActionMapping<T> mapping)

### getMappingIndex

    int getMappingIndex(java.lang.String positionRef)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.